@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;400;600;700&display=swap');

html,
body,
h1,
h2,
h3,
p {
    margin: 0;
    padding: 0;
    height: 100%;
    font-family: 'Poppins', sans-serif;
    font-size: 12px;
    color: #303137;
}

/* Small devices (smartphone, 767px and down) */
/* Start Navbar */
nav {
    overflow: hidden;
    width: 100%;
    height: 100px;
    background: #303137;
    position: fixed;
    top: 0;
    display: flex;
    align-items: center;
    justify-content: space-around;
    z-index: 5;
}

nav .logo {
    position: absolute;
    left: 5%;
}

nav .logo img {
    width: 100px;
}

#nav-button:checked~ul {
    max-height: 100%;
    transition: all 2s ease-out;
}

#nav-button:checked~#nav-icon::after {
    content: "X";
}

nav input {
    display: none;
}

nav label {
    color: white;
    padding: 0px 10px;
    font-size: 30px;
    cursor: pointer;
    position: absolute;
    right: 5%;
}

nav ul {
    position: fixed;
    background-color: #303137;
    width: 100%;
    top: 80px;
    max-height: 0;
    overflow: hidden;
}

nav ul li {
    list-style: none;
    margin-bottom: 25px;
}

nav ul li a {
    color: white;
    text-decoration: none;
    padding-left: 5%;
    font-size: 1.2rem;
}

nav ul li a:hover {
    color: #02BE58;
}

/* End Navbar */

/* Start Banner */
main {
    margin-top: 100px;
}

main .banner {
    margin-bottom: 150px;
    width: 100%;
    display: flex;
    flex-direction: column-reverse;
}

main .banner .banner-1 {
    width: 95%;
    height: 40%;
    margin: 0 auto;
    position: absolute;
    overflow: hidden;
    top: 270px;
    left: 0;
    right: 0;
    border-radius: 30px 30px 0 0;
}

main .banner .banner-1 img {
    width: 150%;
}

main .banner .banner-1 .slider-container {
    width: 90%;
    height: 100%;
    position: absolute;
    top: 5%;
    left: 5%;
}

.slide {
    display: none;
}

.active-slide {
    display: block;
}

main .banner .banner-1 .slider-container .slide h1 {
    font-size: 1.3rem;
    color: white;
}

main .banner .banner-1 .slider-container .slide h2 {
    font-size: 1.2rem;
    color: white;
}

main .banner .banner-1 .slider-container .slide p {
    margin-top: 20px;
    font-size: 1rem;
    color: white;
}

main .banner .banner-1 .slider-container .button {
    width: 100%;
}

main .banner .banner-1 .slider-container .button button {
    font-size: 1.5rem;
    background-color: #303137;
    color: white;
    border-radius: 50%;
}

main .banner .banner-1 .slider-container .button .prev-btn {
    position: absolute;
    top: 80%;
    left: 0;
}

main .banner .banner-1 .slider-container .button .next-btn {
    position: absolute;
    top: 80%;
    right: 5%;
}

main .banner .banner-2 {
    height: 50vh;
    overflow: hidden;
}

main .banner .banner-2 img {
    width: 100%;
}

/* End Banner */

/* Start Tentang Aplikasi */
main .tentang-aplikasi {
    width: 95%;
    margin: 0 auto 50px;
    display: flex;
    flex-direction: column;
    gap: 30px;
}

main .tentang-aplikasi .desc h2 {
    color: #02BE58;
    font-weight: 600;
}

main .tentang-aplikasi .desc h1 {
    font-size: 1.5rem;
}

main .tentang-aplikasi .desc p {
    margin: 10px 0 30px;
    font-size: 1.1rem;
}

main .tentang-aplikasi .desc a {
    padding: 12px 18px;
    color: white;
    background-color: #02BE58;
    text-decoration: none;
}

main .tentang-aplikasi .desc a:hover {
    background-color: #303137;
}

main .tentang-aplikasi .image img {
    width: 100%;
}

/* End Tentang Aplikasi */

/* Start Warning */
main .warning {
    width: 95%;
    margin: 0 auto 50px;
    background-image: url("./img/img2.png");
    display: flex;
    flex-direction: column;
    gap: 30px;
}

main .warning .container-warning {
    margin: 5% 3%;
}

main .warning .container-warning .image img {
    width: 100%;
}

main .warning .container-warning .desc {
    text-align: right;
}

main .warning .container-warning .desc h2 {
    margin-top: 30px;
    color: #02BE58;
    font-weight: 600;
}

main .warning .container-warning .desc h1 {
    color: white;
    font-size: 1.5rem;
}

main .warning .container-warning .desc p {
    margin: 10px 0 30px;
    color: white;
    font-size: 1.1rem;
}

main .warning .container-warning .desc button {
    padding: 12px 18px;
    background-color: #02BE58;
    border: 1px solid #02BE58;

}

main .warning .container-warning .desc button a {
    color: white;
    text-decoration: none;
}

main .warning .container-warning .desc button:hover {
    background-color: #303137;
    border: 1px solid #02BE58;
}

/* End Warning */

/* Start Pengukuran */
main .pengukuran {
    text-align: center;
    margin-bottom: 100px;
}

main .pengukuran .title {
    font-size: 2rem;
}

main .pengukuran .klik {
    margin-bottom: 50px;
    letter-spacing: 7px;
}

main .pengukuran .container-card {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    gap: 30px;
}

main .pengukuran .container-card .card {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 350px;
    height: 250px;
    background-color: #303137;
    overflow: hidden;
}

main .pengukuran .container-card .card:hover {
    background-color: #02BE58;
    transition: all .5s ease-in-out;
}

main .pengukuran .container-card .card img {
    width: 100px;
}

main .pengukuran .container-card .card h2.judul {
    color: white;
    font-size: 1.8rem;
    font-weight: 500;
}

main .pengukuran .container-card .card .cover-card {
    position: absolute;
    width: 100%;
    height: 100%;
    background-image: linear-gradient(to bottom, rgba(5, 5, 5, 0), rgba(5, 5, 5, 1));
    top: 300px;
    transition: all .3s ease-in;
}

main .pengukuran .container-card .card:hover .cover-card {
    top: 0;
    transition: all .3s ease-out;
}

main .pengukuran .container-card .card .cover-card button {
    position: relative;
    top: 200px;
    background-color: #02BE58;
    color: white;
    padding: 12px 18px;
    border: none;
    border-radius: 6px;
    cursor: pointer;
    text-decoration: none;
}

main .pengukuran .container-card .card .cover-card .modal .modal-content h2,
main .pengukuran .container-card .card .cover-card .modal .modal-content mo,
main .pengukuran .container-card .card .cover-card .modal .modal-content mn {
    color: #303137;
    font-size: 2rem;
}

main .pengukuran .container-card .card .cover-card .modal .modal-content h2 {
    margin-bottom: 20px;
}

main .pengukuran .container-card .card .cover-card .modal .modal-content p {
    font-size: 1.5rem;
    letter-spacing: 0;
}

.modal {
    display: none;
    position: fixed;
    z-index: 2;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
}

.modal-content {
    width: 80%;
    max-width: 400px;
    background-color: #fff;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 20px;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
}

.close-modal-btn {
    position: absolute;
    top: 10px;
    right: 10px;
    font-size: 24px;
    cursor: pointer;
}

.close-modal-btn:hover {
    color: #f00;
}

/* Styling untuk tombol buka modal (optional) */
.open-modal-btn {
    padding: 10px 20px;
    background-color: #007bff;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

/* End Pengukuran */

/* Start Pendapat Ahli */
main .pendapat-ahli {
    width: 95%;
    margin: 0 auto 50px;
    display: flex;
    flex-direction: column;
    gap: 30px;
}

main .pendapat-ahli .title {
    text-align: left;
    /* position: absolute;
    top: -300px;
    left: 5%; */
}

main .pendapat-ahli .title .pendapat {
    color: #02BE58;
    font-weight: 600;
}

main .pendapat-ahli .title .komen {
    font-size: 1.5rem;
}

main .pendapat-ahli .desc {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    /* z-index: -1; */
}

main .pendapat-ahli .desc .swiper {
    width: 100%;
}

main .pendapat-ahli .desc .swiper .swiper-wrapper .swiper-slide {
    background-color: #303137;
    border-radius: 25px;
}

main .pendapat-ahli .desc .swiper .swiper-wrapper .swiper-slide .image-content,
main .pendapat-ahli .desc .swiper .swiper-wrapper .swiper-slide .card-content {
    margin: 20px;
    padding: 10px 14px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

main .pendapat-ahli .desc .swiper .swiper-wrapper .swiper-slide .image-content {
    position: relative;
    row-gap: 5px;
    padding: 25px 0;
}

main .pendapat-ahli .desc .swiper .swiper-wrapper .swiper-slide .image-content .overlay {
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    background-color: #02BE58;
    border-radius: 25px 25px 0 25px;
}

main .pendapat-ahli .desc .swiper .swiper-wrapper .swiper-slide .image-content .overlay::before,
main .pendapat-ahli .desc .swiper .swiper-wrapper .swiper-slide .image-content .overlay::after {
    content: '';
    position: absolute;
    right: 0;
    bottom: -40px;
    height: 40px;
    width: 40px;
    background-color: #02BE58;
}

main .pendapat-ahli .desc .swiper .swiper-wrapper .swiper-slide .image-content .overlay::after {
    border-radius: 0 25px 0 0;
    background-color: #303137;
}

main .pendapat-ahli .desc .swiper .swiper-wrapper .swiper-slide .image-content .card-image {
    padding: 10px;
    position: relative;
    height: 80px;
    width: 80px;
    border-radius: 50%;
    background: white;
    display: flex;
    align-items: center;
    justify-content: center;
}

main .pendapat-ahli .desc .swiper .swiper-wrapper .swiper-slide .image-content .card-image img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    border-radius: 50%;
    border: 4px solid #02BE58;
}

main .pendapat-ahli .desc .swiper .swiper-wrapper .swiper-slide .card-content h2 {
    margin-bottom: 20px;
    font-size: 1.5rem;
    color: white;
}

main .pendapat-ahli .desc .swiper .swiper-wrapper .swiper-slide .card-content p {
    font-size: 1rem;
    color: white;
    text-align: center;
}

main .pendapat-ahli .desc .swiper .swiper-pagination-bullet {
    background-color: #02BE58;
}

main .pendapat-ahli .image {
    text-align: center;
}

main .pendapat-ahli .image img {
    width: 70%;
}

/* End Pendapat Ahli */

/* Start Catatan */
main .catatan {
    padding: 5% 0;
    background-color: #02BE58;
    width: 100%;
}

main .catatan .desc {
    margin: 0 0 30px 5%;
}

main .catatan .desc h2 {
    color: white;
    font-size: 1.2rem;
}

main .catatan .desc h1 {
    color: white;
    font-size: 1.3rem;
}

main .catatan .button {
    margin-right: 5%;
    text-align: end;
}

main .catatan .button button {
    text-align: end;
    padding: 12px 18px;
    background-color: #303137;
}

main .catatan .button a {
    color: white;
    text-decoration: none;
}

main .catatan .button button:hover {
    background-color: white;
}

main .catatan .button button:hover a {
    color: #303137;
}

/* End Catatan */

/* Start Info */
main .info {
    background-color: #303137;
    color: white;
    padding: 50px 20px;
}

main .info .container-info {
    display: flex;
    flex-direction: column;
    gap: 50px;
}

main .info .container-info .menu h2 {
    margin-bottom: 30px;
    color: white;
    font-size: 1.5rem;
}

main .info .container-info .menu .list {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

main .info .container-info .menu .list a {
    color: white;
    font-size: 1.2rem;
    text-decoration: none;
}

main .info .contact {
    width: 250px;
    margin: 50px auto 0;
    padding: 10px 20px;
    background-color: white;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 10px;
    border-radius: 50px;
}


main .info .contact a img {
    width: 40px;
}

/* End Info */

/* Start Footer */
footer {
    padding: 50px 0 10px;
    background-color: #303137;
    text-align: center;
}

footer p {
    color: white;
    font-size: 1.2rem;
}

/* End Footer */


/* Medium devices (tablets, 768px and up) */
@media screen and (min-width: 768px) {

    main .banner .banner-1 .slider-container .slide h1,
    main .banner .banner-1 .slider-container .slide h2 {
        font-size: 2rem;
    }

    main .banner .banner-1 .slider-container .slide p {
        font-size: 1.2rem;
    }

    main .banner .banner-1 .slider-container .button .prev-btn {
        left: 40%;
    }
    
    main .banner .banner-1 .slider-container .button .next-btn {
        right: 45%;
    }

    main .tentang-aplikasi .desc h1,
    main .tentang-aplikasi .desc h2 {
        font-size: 2rem;
    }

    main .tentang-aplikasi .desc p,
    main .tentang-aplikasi .desc a {
        font-size: 1.5rem;
    }

    main .warning .container-warning .desc h1,
    main .warning .container-warning .desc h2 {
        font-size: 2rem;
    }

    main .warning .container-warning .desc p,
    main .warning .container-warning .desc a {
        font-size: 1.5rem;
    }

    main .pengukuran .title {
        font-size: 2rem;
    }

    main .pengukuran .klik {
        font-size: 1.5rem;
    }

    main .pendapat-ahli .title h2.pendapat,
    main .pendapat-ahli .title h1.komen,
    main .pendapat-ahli .desc .swiper .swiper-slide .card-content h2.name {
        font-size: 2rem;
    }

    main .pendapat-ahli .desc .swiper .swiper-slide .card-content p.description {
        font-size: 1.5rem;
    }

    main .catatan .desc h1,
    main .catatan .desc h2 {
        font-size: 2rem;
    }

    main .catatan .button a {
        font-size: 1.5rem;
    }

    main .info .container-info .menu h2 {
        font-size: 2rem;
    }

    main .info .container-info .menu .list a {
        font-size: 1.5rem;
    }

    main .info .contact {
        width: 350px;
        gap: 20px;
    }
}

/* Large devices (desktops, 992px and up) */
@media screen and (min-width: 992px) {
    /* nav ul li a {
        padding-left: 5%;
        font-size: 1.5rem;
    } */

    nav {
        padding: 20px 0;
        text-align: center;
        display: flex;
        align-items: center;
    }

    nav .logo {
        position: static;
        margin-left: 5%;
    }

    nav .logo img {
        width: 150px;
    }

    nav ul {
        display: flex;
        justify-content: flex-end;
        list-style: none;
        margin: 0 5% 0 0;
        padding: 0;
        position: static;
        max-height: none;
        overflow: visible;
    }

    nav ul li {
        margin: 0;
    }

    nav ul li a {
        padding: 10px 20px;
        font-size: 1.5rem;
    }

    nav ul li a:hover {
        color: #02BE58;
    }

    nav label {
        display: none;
    }

    main .banner .banner-1 .slider-container .button button {
        padding: 5px 10px;
        font-size: 2.5rem;
        background-color: #303137;
        color: white;
        border-radius: 50%;
    }

    main .banner .banner-1 .slider-container .button .prev-btn {
        top: 75%;
        left: 40%;
    }

    main .banner .banner-1 .slider-container .button .next-btn {
        top: 75%;
        right: 45%;
    }

    main .warning {
        display: flex;
        flex-direction: row;
    }

    main .pengukuran {
        margin-bottom: 200px;
    }

    main .warning .container-warning {
        width: 100%;
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 30px;
    }

    main .warning .container-warning .image {
        width: 50%;
    }

    main .warning .container-warning .desc {
        width: 50%;
    }

    main .pendapat-ahli {
        position: relative;
        flex-direction: row;
        align-items: center;
    }

    main .pendapat-ahli .title {
        display: flex;
        flex-direction: column;
        align-items: first baseline;
        position: absolute;
        top: -100px;
        left: 0;
    }

    main .pendapat-ahli .desc {
        width: 50%;
    }

    main .info .container-info {
        margin-left: 10%;
        flex-direction: row;
        align-items: first baseline;
        gap: 100px;
    }
}

/* X-Large devices (large desktops, 1200px and up) */
@media screen and (min-width: 1200px) {

    nav ul li a {
        font-size: 1.8rem;
    }

    main {
        margin-top: 140px;
    }

    main .banner {
        margin-bottom: 70px;
        flex-direction: row;
        overflow: hidden;
    }

    main .banner .banner-1 {
        width: 50%;
        position: static;
        overflow: visible;
    }

    main .banner .banner-1 img {
        width: 115%;
        height: 650px;
    }

    main .banner .banner-1 .slider-container {
        width: 45%;
        top: 20%;
    }

    main .banner .banner-1 .slider-container .slide h1,
    main .banner .banner-1 .slider-container .slide h2 {
        font-size: 2.7rem;
    }

    main .banner .banner-1 .slider-container .slide p {
        font-size: 1.5rem;
    }

    main .banner .banner-1 .slider-container .button button {
        font-size: 3rem;
    }

    main .banner .banner-1 .slider-container .button .prev-btn {
        top: 70%;
        left: 20%;
    }

    main .banner .banner-1 .slider-container .button .next-btn {
        top: 70%;
        right: 30%;
    }

    main .banner .banner-2 {
        width: 50%;
        overflow: visible;
        z-index: -1;
    }

    main .banner .banner-2 img {
        height: 650px;
    }

    main .tentang-aplikasi {
        flex-direction: row;
        align-items: center;
    }

    main .tentang-aplikasi .desc {
        width: 50%;
    }

    main .tentang-aplikasi .image {
        width: 50%;
    }

    main .tentang-aplikasi .desc h1,
    main .tentang-aplikasi .desc h2 {
        font-size: rem;
    }

    main .tentang-aplikasi .desc p,
    main .tentang-aplikasi .desc a {
        font-size: 1.8rem;
    }

    main .warning .container-warning .desc h1,
    main .warning .container-warning .desc h2 {
        font-size: 3rem;
    }

    main .warning .container-warning .desc p,
    main .warning .container-warning .desc a {
        font-size: 1.8rem;
    }

    main .pengukuran .title {
        font-size: 3rem;
    }

    main .pengukuran .klik {
        font-size: 1.8rem;
    }

    main .pengukuran .container-card {
        flex-direction: row;
    }

    main .pendapat-ahli {
        justify-content: center;
    }

    main .pendapat-ahli .title {
        top: -150px;
    }

    main .pendapat-ahli .title h2.pendapat,
    main .pendapat-ahli .title h1.komen {
        font-size: 3rem;
    }

    main .pendapat-ahli .desc {
        width: 35%;
    }
}

/* XX-Large devices (larger desktops, 1400px and up) */
@media screen and (min-width: 1400px) {
    main .banner .banner-1 .slider-container {
        top: 20%;
    }

    main .banner .banner-1 .slider-container .button .prev-btn {
        position: absolute;
        top: 60%;
        left: 20%;
    }

    main .banner .banner-1 .slider-container .button .next-btn {
        position: absolute;
        top: 60%;
        right: 30%;
    }
}

@media screen and (min-width: 2000px) {
    main .banner .banner-1 .slider-container .button .prev-btn {
        top: 400px;
        left: 20%;
    }

    main .banner .banner-1 .slider-container .button .next-btn {
        top: 400px;
        right: 30%;
    }
}